all: build test

reset:
	powershell -executionpolicy bypass .\scripts\reset_build.ps1

ragel:
	ragel -o .\scratchpad\testragel.cpp .\scratchpad\testragel.rl

build:
	meson compile -j 4 -C builddir

test: build
	./builddir/runtests

run: build test
	powershell "cp ./builddir/roguish.exe ."
	./roguish

clean:
	meson compile --clean -C builddir
